/**
 * 
 */
package application;

import java.io.IOException;
import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Scene;
import javafx.scene.layout.AnchorPane;
import javafx.stage.Stage;
import view.SpeechUI_Controller;

/**
 * @author John McNeil
 * 
 *
 */
public class SpeechTester extends Application {

	private AnchorPane anchorPane;

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		launch(args);
	}

	@Override
	public void start(Stage primaryStage) throws Exception {
	    primaryStage.setTitle("Speech Tester");
		initRootLayout();
	    
		Scene scene = new Scene(anchorPane);
		primaryStage.setScene(scene);
	    scene.getStylesheets().add(getClass().getResource("application.css").toExternalForm());
		primaryStage.show();
	}

	private void initRootLayout() {
		// Load root layout from fxml file.
        FXMLLoader loader = new FXMLLoader();
        loader.setLocation(SpeechUI_Controller.class.getResource("SpeechUI.fxml"));
        try {
			anchorPane = (AnchorPane)loader.load();
		} catch (IOException e) {
			e.printStackTrace();
		}        
	}

}
