package view;

import com.sun.speech.freetts.Voice;

import javafx.fxml.FXML;
import javafx.scene.control.ChoiceBox;
import javafx.scene.control.TextArea;
import javafx.scene.control.TextField;
import speech.VoiceInfo;
import speech.Voices;

public class SpeechUI_Controller {
    @FXML
    private ChoiceBox<String> voiceField;
    @FXML
    private TextArea wordsField;
    @FXML
    private TextField rate;
    @FXML
    private TextField pitch;
    @FXML
    private TextField pitchRange;
    @FXML
    private TextField pitchShift;
    @FXML
    private TextField durationStretch;
    @FXML
    private TextArea voice_details;

 	/**
     * Initialises the controller class. This method is automatically called
     * after the fxml file has been loaded.
     */
    @FXML
    private void initialize() {
    	System.out.println("initialise");
    	
    	voiceField.getItems().removeAll(voiceField.getItems());
    	voiceField.getItems().addAll(Voices.getVoiceNames());
    }

    
    /**
     * Called when the user clicks ok.
     */
    @FXML
    private void handleOk() {
    	System.out.println("handleOk"); 

    	//Run the speech using the text from the word field
    	if(voiceField.getValue() != null ) {
    		if(wordsField.getText().length() > 0 ) {
    	    	Voice selectedVoice = Voices.getVoice(voiceField.getValue());
    			
    	    	if(durationStretch.getText().length() > 0 ) {
        			selectedVoice.setDurationStretch(new Float(durationStretch.getText()));
    	    	}
    	    	if(pitch.getText().length() > 0 ) {
        			selectedVoice.setPitch(new Float(pitch.getText()));
    	    	}
    	    	if(pitchRange.getText().length() > 0 ) {
        			selectedVoice.setPitchRange(new Float(pitchRange.getText()));
    	    	}
    	    	if(pitchShift.getText().length() > 0 ) {
        			selectedVoice.setPitchShift(new Float(pitchShift.getText()));
    	    	}
    	    	if(rate.getText().length() > 0) {
        			selectedVoice.setRate(new Float(rate.getText()));
    	    	}
    			
    			selectedVoice.allocate();
    			VoiceInfo.showVoiceData(selectedVoice, voice_details);
    			selectedVoice.speak(wordsField.getText());
    			selectedVoice.deallocate();
    		} else {
    			System.out.println("No text available");
    		}
    	} else {
			System.out.println("No voice selected");

    	}
    }

    /**
     * Called when the user clicks Clear.
     */
    @FXML
    private void handleClear() {
    	// Clear out all the fields
    	//voiceField.setValue(""); 
    	voiceField.valueProperty().set(null);
		durationStretch.clear(); 
		pitch.clear();
		pitchRange.clear();
		pitchShift.clear();
		rate.clear();
		wordsField.clear();
		voice_details.clear();
    }


}
